<?php
global $wpdb;
$popupId = $_GET['popupid'];
$table2StepOptins = $wpdb->prefix. 'wptr_2stepoptins';
$get2StepOptin = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $table2StepOptins WHERE id = %d", $popupId ) );
?>
<h3>2 Step Optin Form Popup Settings</h3>
<div>
	<?php
	if ( $_GET['s3r4'] == 'added' ) {
		echo '<div class="updated"><p>2-Step Optin Form popup was added.</p></div>';
	} elseif ( $_GET['s3r4'] == 'updated' ) {
		echo '<div class="updated"><p>2-Step Optin Form popup was updated.</p></div>';
	}
	?>
</div>
<div>
	<form action="" method="POST">
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Popup Name</td>
			<td><input type="text" name="wptr_2stepoptin_name" style="width:300px" value="<?php echo $get2StepOptin->name; ?>"/><br/><em>Popup name.</em></td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Autoclose</td>
			<td><input type="checkbox" name="wptr_2stepoptin_autoclose" value="yes" <?php checked( $get2StepOptin->autoclose, 1 ); ?>/><br/><em>Perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td style="width:250px">Autoclose Countdown</td>
			<td><input type="number" name="wptr_2stepoptin_countdown_autoclose" style="width:150px" min="0" value="<?php echo $get2StepOptin->countdown_autoclose; ?>"/><br/><em>Countdown (in seconds) to perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td style="width:250px">Delay</td>
			<td><input type="number" name="wptr_2stepoptin_delay" style="width:150px" min="0" value="<?php echo $get2StepOptin->delay; ?>"/><br/><em>Delay (in seconds) before showing the popup.</em></td>
		</tr>
		<tr>
			<td>Cookie Lifetime</td>
			<td>
				<input type="number" name="wptr_2stepoptin_cookie_time" style="width:150px" min="0" value="<?php echo $get2StepOptin->cookie_time; ?>"/>
				<select name="wptr_2stepoptin_cookie_interval">
					<option value="1" <?php selected( $get2StepOptin->cookie_interval, 1 ); ?>>Hours</option>
					<option value="2" <?php selected( $get2StepOptin->cookie_interval, 2 ); ?>>Days</option>
				</select>
				<br/><em>Cookie expired time. Set to 0 (zero) to disable the cookie.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Auto Width and Height</td>
			<td>
				<input type="checkbox" name="wptr_2stepoptin_autosize_popup" <?php checked( $get2StepOptin->autosize_popup, 1 ); ?>>
				<br/><em>Use dynamic size for popup width and height. Uncheck this if you want to use custom size for the popup.</em>
			</td>
		</tr>
		<tr>
			<td style="width:200px;">Custom Popup Width</td>
			<td>
				<input type="text" name="wptr_2stepoptin_width" style="width:150px" value="<?php echo $get2StepOptin->width; ?>"/>
				<select name="wptr_2stepoptin_width_option">
					<option value="pixel" <?php selected( $get2StepOptin->width_option, 'pixel' ); ?>>px</option>
					<option value="percentage" <?php selected( $get2StepOptin->width_option, 'percentage' ); ?>>%</option>
				</select><br/><em>Custom popup width.</em>
			</td>
		</tr>
		<tr>
			<td>Custom Popup Height</td>
			<td>
				<input type="text" name="wptr_2stepoptin_height" style="width:150px" value="<?php echo $get2StepOptin->height; ?>"/>
				<select name="wptr_2stepoptin_height_option">
					<option value="pixel" <?php selected( $get2StepOptin->height_option, 'pixel' ); ?>>px</option>
					<option value="percentage" <?php selected( $get2StepOptin->height_option, 'percentage' ); ?>>%</option>
				</select><br/><em>Custom popup height.</em>
			</td>
		</tr>
		<tr>
			<td>Background Color</td>
			<td><input type="text" name="wptr_2stepoptin_bgcolor" style="width:150px" value="<?php echo $get2StepOptin->bgcolor; ?>" class="color {hash:true}"/><br/><em>Popup background color.</em></td>
		</tr>
		<!--<tr>
			<td>Border Width</td>
			<td>
				<select name="wptr_2stepoptin_borderwidth">
					<option value="small" <?php selected( $get2StepOptin->border_width, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $get2StepOptin->border_width, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $get2StepOptin->border_width, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>Border Rounding</td>
			<td>
				<select name="wptr_2stepoptin_borderrounding">
					<option value="small" <?php selected( $get2StepOptin->border_round, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $get2StepOptin->border_round, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $get2StepOptin->border_round, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>Border Drop Shadow</td>
			<td>
				<select name="wptr_2stepoptin_borderdropshadow">
					<option value="small" <?php selected( $get2StepOptin->border_shadow, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $get2StepOptin->border_shadow, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $get2StepOptin->border_shadow, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>-->
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Content Optin Form</td>
			<td>
			<?php wp_editor( stripslashes_deep( $get2StepOptin->content1 ), 'wptr-2stepoptin-content1' ); ?>
			<br/><em>WYSIWYG content.</em>
			</td>
		</tr>
		<tr>
			<td>Button Text</td>
			<td><input type="text" name="wptr_2stepoptin_buttontext" style="width:300px" value="<?php echo $get2StepOptin->button_text; ?>"/><br/><em>Button text.</em></td>
		</tr>
		<tr>
			<td>Button Style</td>
			<td>
				<select name="wptr_2stepoptin_buttonstyle" style="width:150px;">
					<option value="flat" <?php selected( $get2StepOptin->button_style, 'flat' ); ?>>Flat</option>
					<option value="glow" <?php selected( $get2StepOptin->button_style, 'glow' ); ?>>Glow</option>
					<option value="rounded" <?php selected( $get2StepOptin->button_style, 'rounded' ); ?>>Rounded</option>
					<option value="3d" <?php selected( $get2StepOptin->button_style, '3d' ); ?>>3D</option>
					<option value="pill" <?php selected( $get2StepOptin->button_style, 'pill' ); ?>>Pill</option>
					<option value="circle" <?php selected( $get2StepOptin->button_style, 'circle' ); ?>>Circle</option>
					<option value="square" <?php selected( $get2StepOptin->button_style, 'square' ); ?>>Square</option>
					<option value="block" <?php selected( $get2StepOptin->button_style, 'block' ); ?>>Block</option>
					<option value="wrapcircle" <?php selected( $get2StepOptin->button_style, 'wrapcircle' ); ?>>Wrap Circle</option>
					<option value="wrappill" <?php selected( $get2StepOptin->button_style, 'wrappill' ); ?>>Wrap Pill</option>
				</select><br/><em>Choose the button style.</em>
			</td>
		</tr>
		<tr>
			<td>Button Size</td>
			<td>
				<select name="wptr_2stepoptin_buttonsize" style="width:150px;">
					<option value="jumbo" <?php selected( $get2StepOptin->button_size, 'jumbo' ); ?>>Jumbo</option>
					<option value="large" <?php selected( $get2StepOptin->button_size, 'large' ); ?>>Large</option>
					<option value="default" <?php selected( $get2StepOptin->button_size, 'default' ); ?>>Default</option>
					<option value="small" <?php selected( $get2StepOptin->button_size, 'small' ); ?>>Small</option>
					<option value="tiny" <?php selected( $get2StepOptin->button_size, 'tiny' ); ?>>Tiny</option>
				</select><br/><em>Choose the button size.</em>
			</td>
		</tr>
		<tr>
			<td>Button Color</td>
			<td>
				<select name="wptr_2stepoptin_buttoncolor" style="width:150px;">
					<option value="default" <?php selected( $get2StepOptin->button_color, 'default' ); ?>>Default</option>
					<option value="primary" <?php selected( $get2StepOptin->button_color, 'primary' ); ?>>Primary</option>
					<option value="action" <?php selected( $get2StepOptin->button_color, 'action' ); ?>>Action</option>
					<option value="highlight" <?php selected( $get2StepOptin->button_color, 'highlight' ); ?>>Highlight</option>
					<option value="caution" <?php selected( $get2StepOptin->button_color, 'caution' ); ?>>Caution</option>
					<option value="royal" <?php selected( $get2StepOptin->button_color, 'royal' ); ?>>Royal</option>
				</select><br/><em>Choose the button color.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Embedded HTML Optin Form</td>
			<td>
			<textarea name="wptr-2stepoptin-content2" style="width:100%;height:300px;" id="wptr-2stepoptin-content2"><?php echo stripslashes_deep( $get2StepOptin->content2 ); ?></textarea>
			<br/><em>Embedded Optin Form.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Display On Posts</td>
			<td>
				<select name="wptr_2stepoptin_displayonposts[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $get2StepOptin->display_on_posts ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Posts</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'post',
					'post_status' => 'publish',
					'posts_per_page' => -1
				);
				$posts = get_posts($args);
				if($posts || count($posts)){
					foreach($posts as $post){
						if ( in_array( '{'.$post->ID.'}', explode( ',', $get2StepOptin->display_on_posts ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $post->ID . "' ".$selected.">" . $post->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select posts where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Pages</td>
			<td>
				<select name="wptr_2stepoptin_displayonpages[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $get2StepOptin->display_on_pages ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Pages</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'page',
					'post_status' => 'publish'
				);
				$pages = get_pages($args);
				if($pages || count($pages)){
					foreach($pages as $page){
						if ( in_array( '{'.$page->ID.'}', explode( ',', $get2StepOptin->display_on_pages ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $page->ID . "' ".$selected.">" . $page->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select pages where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Categories</td>
			<td>
			<select name="wptr_2stepoptin_displayoncategories[]" style="min-width:300px;min-height:250px;" multiple>
				<?php
				if ( in_array( '{ALL}', explode( ',', $get2StepOptin->display_on_cats ) ) ) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				?>
				<option value="ALL" <?php echo $selected; ?>>All Categories</option>
			<?php
			$args = array(
				'orderby' => 'name',
				'hide_empty' => 1,
				'order' => 'ASC'
				);
			$categories = get_categories($args);
			if($categories || count($categories)){
					foreach($categories as $cat){
						if ( in_array( '{'.$cat->cat_ID.'}', explode( ',', $get2StepOptin->display_on_cats ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $cat->cat_ID . "' ".$selected.">" . $cat->name . "</option>";
					}
				}
			?>
			</select>
			<br/><em>Select categories where the popup will appear.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Action On Close</td>
			<td>
				<input type="checkbox" name="wptr_2stepoptin_actiononclose" value="y" <?php checked( $get2StepOptin->onclose, 1); ?>/> Redirect to URL<br/>
				<input type="text" name="wptr_2stepoptin_redirecttourl" style="width:300px" value="<?php echo $get2StepOptin->redirect_url; ?>"/>
				<br/><em>Redirect to custom url.</em>
			</td>
		</tr>
	</table>
	<input type="hidden" name="wptr_hidden_2stepoptin" value="<?php echo $popupId; ?>"/>
	<?php
	if ( !empty( $popupId ) ) {
		$andThen = '&popupid=' . $popupId;
	} else {
		$andThen = '';
	}
	?>
	<input type="hidden" name="wptr_hidden_2stepoptin_referer" value="<?php echo admin_url() . 'admin.php?page=wptrafficmax&node=add2stepoptinpopup' . $andThen; ?>">
	<input type="checkbox" name="wptr_2stepoptin_preview" value="yes"/> Preview after save.<br/><br/>
	<input type="submit" name="submit_2stepoptin" value="Save Settings" class="button-primary"/>
	</form>
</div>