<?php
global $wpdb;
$popupId = $_GET['popupid'];
$tableExit = $wpdb->prefix . 'wptr_exit';
$getExit = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableExit WHERE id = %d", $popupId ) );
?>
<h3>Exit Popup Settings</h3>
<div>
	<?php
	if ( $_GET['s3r4'] == 'added' ) {
		echo '<div class="updated"><p>Exit popup was added.</p></div>';
	} elseif ( $_GET['s3r4'] == 'updated' ) {
		echo '<div class="updated"><p>Exit popup was updated.</p></div>';
	}
	?>
</div>
<div>
	<form action="" method="POST">
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Popup Name</td>
			<td><input type="text" name="wptr_exit_name" style="width:300px" value="<?php echo $getExit->name; ?>"/><br/><em>Popup name.</em></td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Content</td>
			<td>
			<textarea name="wptr_exit_content" style="width:100%;height:300px;"><?php echo $getExit->content; ?></textarea>
			<br/><em>Content.</em>
			</td>
		</tr>
		<tr>
			<td style="width:250px">Optional URL</td>
			<td><input type="text" name="wptr_exit_url" style="width:300px" value="<?php echo $getExit->url; ?>"/><br/><em>A URL to navigate to if the user click "stay on page".</em></td>
		</tr>
		<tr>
			<td>Cookie Lifetime</td>
			<td>
				<input type="number" name="wptr_exit_cookie_time" style="width:150px" min="0" value="<?php echo $getExit->cookie_time; ?>"/>
				<select name="wptr_exit_cookie_interval">
					<option value="1" <?php selected( $getExit->cookie_interval, 1 ); ?>>Hours</option>
					<option value="2" <?php selected( $getExit->cookie_interval, 2 ); ?>>Days</option>
				</select>
				<br/><em>Cookie expired time. Set to 0 (zero) to disable the cookie.</em>
			</td>
		</tr>
		<tr>
			<td>Exclude pages on this site</td>
			<td>
				<?php
				if( $getExit->exclude_on_pages == 1 || is_null( $getExit->exclude_on_pages )) {
					$checked = 'checked="checked"';
				} else {
					$checked = '';
				}
				?>
				<input type="checkbox" name="wptr_exit_excludeonpages" <?php echo $checked; ?>/>
				<br/><em>If checked, exit pop will not trigger on other pages visitor navigates to on the site.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Display On Posts</td>
			<td>
				<select name="wptr_exit_displayonposts[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getExit->display_on_posts ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Posts</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'post',
					'post_status' => 'publish',
					'posts_per_page' => -1
				);
				$posts = get_posts($args);
				if($posts || count($posts)){
					foreach($posts as $post){
						if ( in_array( '{'.$post->ID.'}', explode( ',', $getExit->display_on_posts ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $post->ID . "' ".$selected.">" . $post->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select posts where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Pages</td>
			<td>
				<select name="wptr_exit_displayonpages[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getExit->display_on_pages ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Pages</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'page',
					'post_status' => 'publish'
				);
				$pages = get_pages($args);
				if($pages || count($pages)){
					foreach($pages as $page){
						if ( in_array( '{'.$page->ID.'}', explode( ',', $getExit->display_on_pages ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $page->ID . "' ".$selected.">" . $page->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select pages where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Categories</td>
			<td>
			<select name="wptr_exit_displayoncategories[]" style="min-width:300px;min-height:250px;" multiple>
				<?php
				if ( in_array( '{ALL}', explode( ',', $getExit->display_on_cats ) ) ) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				?>
				<option value="ALL" <?php echo $selected; ?>>All Categories</option>
			<?php
			$args = array(
				'orderby' => 'name',
				'hide_empty' => 1,
				'order' => 'ASC'
				);
			$categories = get_categories($args);
			if($categories || count($categories)){
					foreach($categories as $cat){
						if ( in_array( '{'.$cat->cat_ID.'}', explode( ',', $getExit->display_on_cats ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $cat->cat_ID . "' ".$selected.">" . $cat->name . "</option>";
					}
				}
			?>
			</select>
			<br/><em>Select categories where the popup will appear.</em>
			</td>
		</tr>
	</table>
	<input type="hidden" name="wptr_hidden_exit" value="<?php echo $popupId; ?>"/>
	<?php
	if ( !empty( $popupId ) ) {
		$andThen = '&popupid=' . $popupId;
	} else {
		$andThen = '';
	}
	?>
	<input type="hidden" name="wptr_hidden_exit_referer" value="<?php echo admin_url() . 'admin.php?page=wptrafficmax&node=addexitpopup' . $andThen; ?>">
	<input type="submit" name="submit_exit" value="Save Settings" class="button-primary"/>
	</form>
</div>