<?php
if ( $_GET['preview'] == 'yes' ) {
	global $wpdb;
	$tableCoupons = $wpdb->prefix . 'wptr_coupons';
	$tableVideos = $wpdb->prefix . 'wptr_videos';
	$tableWysiwygs = $wpdb->prefix. 'wptr_wysiwygs';
	$tableInterstitials = $wpdb->prefix . 'wptr_interstitials';
	$tableOptins = $wpdb->prefix . 'wptr_optins';
	$table2StepOptins = $wpdb->prefix . 'wptr_2stepoptins';
	$tableExit = $wpdb->prefix . 'wptr_exit';
	
	$popupId = sanitize_text_field( $_GET['popupid'] );
	$node = sanitize_text_field( $_GET['node'] );
	
	if ( $node == 'addinterstitialpopup' ) {
		$getInterstitialSetting = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableInterstitials WHERE id = %d", $popupId ) );
		if ( !is_null( $getInterstitialSetting ) ) {
			$autoClose = $getInterstitialSetting->autoclose;
			$countdownAutoclose = $getInterstitialSetting->countdown_autoclose;
			$isActive = $getInterstitialSetting->status;
			$getTheTitle = get_the_title( $getTheId );
			$content1 = stripslashes_deep( $getInterstitialSetting->content_1 );
			$content2 = stripslashes_deep( $getInterstitialSetting->content_2 );
			
			$bootstrapCss = plugins_url( '../css/bootstrap.min.css', __FILE__ );
			$fontAwesomeCss = plugins_url( '../css/font-awesome.min.css', __FILE__ );
			$fancyBoxCsss = plugins_url( '../js/fancybox/jquery.fancybox.css', __FILE__ );
			$fancyBoxJs = plugins_url( '../js/fancybox/jquery.fancybox.pack.js', __FILE__ );
			if ( $autoClose ) {
				$thisTimer = '<span style="font-size:10px;">This message will close in <span id="interstitial-countdown"></span>.</span>';
			} else {
				$thisTimer = '';
			}
			
			echo <<<HTML
<link rel="stylesheet" type="text/css" href="{$fancyBoxCsss}"/>

<link rel="stylesheet" type="text/css" href="{$fontAwesomeCss}"/>
<script type="text/javascript" src="{$fancyBoxJs}"></script>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#wptr-interstitial-popup').show();
		jQuery.fancybox({
			type: "inline",
			href: "#wptr-interstitial-popup",
			fitToView	: false,
			width: "80%",
			height: "80%",
			autoSize: false,
			closeClick: false,
			openEffect: 'none',
			closeEffect: 'none',
			keys: {
				close : null
			},
			afterClose: function(){
				jQuery('#wptr-interstitial-popup').hide();
			}
		});
		
		if({$autoClose} == 1){
			jQuery('#interstitial-countdown').countdowntimer({
				seconds : {$countdownAutoclose},
				timeUp : function(){
					
				}
			});
		}
	});
</script>
<style type="text/css">
	.container-fluid {
		padding-right: 15px;
		padding-left: 15px;
		margin-right: auto;
		margin-left: auto;
	}
	.container > .navbar-header,
	.container-fluid > .navbar-header,
	.container > .navbar-collapse,
	.container-fluid > .navbar-collapse {
		margin-right: -15px;
		margin-left: -15px;
	}
	@media (min-width: 768px) {
		.container > .navbar-header,
		.container-fluid > .navbar-header,
		.container > .navbar-collapse,
		.container-fluid > .navbar-collapse {
			margin-right: 0;
			margin-left: 0;
		}
	}
	@media (min-width: 768px) {
		.navbar > .container .navbar-brand,
		.navbar > .container-fluid .navbar-brand {
			margin-left: -15px;
		}
	}
	.row:before,
	.row:after,
	.container-fluid:before,
	.container-fluid:after {
		display: table;
		content: " ";
	}
	.row:after,
	.container-fluid:after{
		clear: both;
	}
	.row {
		margin-right: -15px;
		margin-left: -15px;
	}
	.col-lg-12 {
		position: relative;
		min-height: 1px;
		/* padding-right: 15px;
		padding-left: 15px; */
	}
	@media (min-width: 1200px) {
		.col-lg-12 {
			float: left;
		}
		.col-lg-12 {
			width: 100%;
		}
	}
	.pull-right {
		float: right !important;
		padding-right: 10px;
	}
	#content1 {
		background-color: {$getInterstitialSetting->bgcolor_1};
		color: {$getInterstitialSetting->textcolor_1};
	}
	#content2 {
		background-color: {$getInterstitialSetting->bgcolor_2};
		color: {$getInterstitialSetting->textcolor_2};
	}
</style>
<div class="container-fluid" id="wptr-interstitial-popup" style="display:none">
	<div class="row">
		<div id="content1" class="col-lg-12">
			<span style="padding-top:10px">{$content1}</span>
			<span class="pull-right">
				<a href="#" style="text-decoration:none;color:{$getInterstitialSetting->skiptextcolor};font-size:{$getInterstitialSetting->skiptextfontsize}px;">{$getInterstitialSetting->skiptext} &raquo;</a>
				<br/>{$thisTimer}
			</span>
		</div>
	</div>
	<div class="row">
		<div id="content2" class="col-lg-12">
			<span style="padding-top:10px">{$content2}</span>
		</div>
	</div>
</div>
HTML;
		}
	}
	
	if ( $node == 'add2stepoptinpopup' ) {
		$get2StepOptinSetting = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $table2StepOptins WHERE id = %d", $popupId ) );
		if ( !is_null( $get2StepOptinSetting ) ) {
			$autoClose = $get2StepOptinSetting->autoclose;
			$countdownAutoclose = $get2StepOptinSetting->countdown_autoclose;
			$delay = $get2StepOptinSetting->delay * 1000;
			$autosizePopup = $get2StepOptinSetting->autosize_popup;
			$isActive = $get2StepOptinSetting->status;
			$width = $get2StepOptinSetting->width;
			$widthOption = $get2StepOptinSetting->width_option;
			$height = $get2StepOptinSetting->height;
			$heightOption = $get2StepOptinSetting->height_option;
			if ( $widthOption == 'pixel' ) {
				$wOption = 'px';
			} else {
				$wOption = '%';
			}
			
			if ( $heightOption == 'pixel' ) {
				$hOption = 'px';
			} else {
				$hOption = '%';
			}
			
			$content1 = stripslashes_deep( $get2StepOptinSetting->content1 );
			$buttonStyle = $get2StepOptinSetting->button_style;
			$buttonSize = $get2StepOptinSetting->button_size; 
			$buttonColor = $get2StepOptinSetting->button_color;
			$content2 = stripslashes_deep( $get2StepOptinSetting->content2 );
			
			switch ( $buttonStyle ) {
				case 'flat':
					$classStyle = 'button button-flat';
				break;
				case 'glow':
					$classStyle = 'button glow';
				break;
				case 'rounded':
					$classStyle = 'button button-rounded';
				break;
				case '3d':
					$classStyle = 'button button-3d';
				break;
				case 'border':
					$classStyle = 'button button-border';
				break;
				case 'pill':
					$classStyle = 'button button-pill';
				break;
				case 'circle':
					$classStyle = 'button button-circle';
				break;
				case 'block':
					$classStyle = 'button button-block button-rounded';
				break;
				case 'wrapcircle':
					$classStyle = 'button button-circle';
				break;
				case 'wrappill':
					$classStyle = 'button button-pill';
				break;
			}
			
			if ( $buttonColor == 'default' ) {
				$classColor = '';
			} else {
				$classColor = 'button-' . $buttonColor;
			}
			
			if ( $buttonSize == 'default' ) {
				$classSize = '';
			} else {
				$classSize = 'button-' . $buttonSize;
			}
			
			if ( $buttonStyle == 'wrappill' ) {
				$cssButton = '<span class="button-wrap"><button id="wptr-2stepoptin-button" class="' . $classStyle . ' ' . $classColor . ' ' . $classSize . '">' . $get2StepOptinSetting->button_text . '</button></span>';
			} elseif ( $buttonStyle == 'wrapcircle' ) {
				$cssButton = '<span class="button-wrap"><button id="wptr-2stepoptin-button" class="' . $classStyle . ' ' . $classColor . '">' . $get2StepOptinSetting->button_text . '</button></span>';
			} else {
				$cssButton = '<button id="wptr-2stepoptin-button" class="' . $classStyle . ' ' . $classColor . ' ' . $classSize . '">' . $get2StepOptinSetting->button_text . '</button>';
			}
			
			$buttons = plugins_url( '../css/buttons.css', __FILE__ );
			$fancyBoxCsss = plugins_url( '../js/fancybox/jquery.fancybox.css', __FILE__ );
			$fancyBoxJs = plugins_url( '../js/fancybox/jquery.fancybox.pack.js', __FILE__ );
			
			if ( $autosizePopup ) {
				$oFitToView = 'true';
				$oAutoSize = 'true';
			} else {
				$oFitToView = 'false';
				$oAutoSize = 'false';
			}
			
			if ( $autoClose ) {
				$thisTimer = '<span style="font-size:10px;">This message will close in <span id="2stepoptin-countdown"></span>.</span>';
			} else {
				$thisTimer = '';
			}
			echo <<<HTML
<link rel="stylesheet" type="text/css" href="{$fancyBoxCsss}"/>
<link rel="stylesheet" type="text/css" href="{$buttons}"/>
<script type="text/javascript" src="{$fancyBoxJs}"></script>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#wptr-2stepoptin-popup1').show();
		jQuery.fancybox({
			type: "inline",
			href: "#wptr-2stepoptin-popup1",
			fitToView	: {$oFitToView},
			width: "{$width}{$wOption}",
			height: "{$height}{$hOption}",
			autoSize: {$oAutoSize},
			closeClick: false,
			openEffect: 'none',
			closeEffect: 'none',
			keys: {
				close : null
			},
			beforeShow: function(){
				jQuery(".fancybox-skin").css("backgroundColor", "{$get2StepOptinSetting->bgcolor}");
			},
			helpers: {
				overlay : {closeClick: false}
			},
			afterClose: function(){
				jQuery('#wptr-2stepoptin-popup1').hide();
			}
		});
		
		if({$autoClose} == 1){
			jQuery('#2stepoptin-countdown').countdowntimer({
				seconds : {$countdownAutoclose},
				timeUp : function(){
				}
			});
		}
		
		jQuery(document).on('click', '#wptr-2stepoptin-button', function(e){
			jQuery.fancybox.close(true);
			jQuery('#wptr-2stepoptin-popup2').show();
			jQuery.fancybox({
				type: "inline",
				href: "#wptr-2stepoptin-popup2",
				fitToView	: {$oFitToView},
				width: "{$width}{$wOption}",
				height: "{$height}{$hOption}",
				autoSize: {$oAutoSize},
				closeClick: false,
				openEffect: 'none',
				closeEffect: 'none',
				keys: {
					close : null
				},
				beforeShow: function(){
					jQuery(".fancybox-skin").css("backgroundColor", "{$get2StepOptinSetting->bgcolor}");
				},
				helpers: {
					overlay : {closeClick: false}
				},
				afterClose: function(){
					jQuery('#wptr-2stepoptin-popup2').hide();
				}
			});
		});
	});
</script>
<div id="wptr-2stepoptin-popup1" style="display:none;">
	{$thisTimer}
	<div style="padding-top:10px;padding-bottom:20px;">{$content1}</div>
	<div style="text-align:center">
		{$cssButton}
	</div>
</div>

<div id="wptr-2stepoptin-popup2" style="display:none;">
	<div style="padding-top:10px;padding-bottom:20px;">{$content2}</div>
</div>
HTML;
		}
	}
	
	if ( $node == 'addoptinpopup' ) {
		$getOptinSetting = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableOptins WHERE id = %d", $popupId ) );
		if ( !is_null( $getOptinSetting ) ) {
			$autoClose = $getOptinSetting->autoclose;
			$countdownAutoclose = $getOptinSetting->countdown_autoclose;
			$delay = $getOptinSetting->delay * 1000;
			$autosizePopup = $getOptinSetting->autosize_popup;
			$isActive = $getOptinSetting->status;
			$width = $getOptinSetting->width;
			$widthOption = $getOptinSetting->width_option;
			$height = $getOptinSetting->height;
			$heightOption = $getOptinSetting->height_option;
			if ( $widthOption == 'pixel' ) {
				$wOption = 'px';
			} else {
				$wOption = '%';
			}
			
			if ( $heightOption == 'pixel' ) {
				$hOption = 'px';
			} else {
				$hOption = '%';
			}
			
			$content = stripslashes_deep( $getOptinSetting->content );
			$onSubscribePage = get_permalink( $getOptinSetting->onsubscribe_page );
			$fancyBoxCsss = plugins_url( '../js/fancybox/jquery.fancybox.css', __FILE__ );
			$fancyBoxJs = plugins_url( '../js/fancybox/jquery.fancybox.pack.js', __FILE__ );
			
			if ( $autoClose ) {
				$thisTimer = '<span style="font-size:10px;">This message will close in <span id="optin-countdown"></span>.</span>';
			} else {
				$thisTimer = '';
			}
			
			if ( $autosizePopup ) {
				$oFitToView = 'true';
				$oAutoSize = 'true';
			} else {
				$oFitToView = 'false';
				$oAutoSize = 'false';
			}
		
			echo <<<HTML
<link rel="stylesheet" type="text/css" href="{$fancyBoxCsss}"/>
<script type="text/javascript" src="{$fancyBoxJs}"></script>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#wptr-optin-popup').show();
		jQuery.fancybox({
			type: "inline",
			href: "#wptr-optin-popup",
			fitToView	: {$oFitToView},
			width: "{$width}{$wOption}",
			height: "{$height}{$hOption}",
			autoSize: {$oAutoSize},
			closeClick: false,
			openEffect: 'none',
			closeEffect: 'none',
			keys: {
				close : null
			},
			beforeShow: function(){
				jQuery(".fancybox-skin").css("backgroundColor", "{$getOptinSetting->bgcolor}");
			},
			helpers: {
				overlay : {closeClick: false}
			},
			afterClose: function(){
				jQuery('#wptr-optin-popup').hide();
			}
		});
		
		if({$autoClose} == 1){
			jQuery('#optin-countdown').countdowntimer({
				seconds : {$countdownAutoclose},
				timeUp : function(){
				}
			});
		}
	});
</script>
<div id="wptr-optin-popup" style="display:none;">
	{$thisTimer}
	<div style="padding-top:10px;padding-bottom:10px;">
		{$content}
	</div>
</div>
HTML;
		}
	}
	
	if ( $node == 'addwysiwygpopup' ) {
		$getWysiwygSetting = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableWysiwygs WHERE id = %d", $popupId ) );
		if ( !is_null( $getWysiwygSetting ) ) {
			$autoClose = $getWysiwygSetting->autoclose;
			$countdownAutoclose = $getWysiwygSetting->countdown_autoclose;
			$delay = $getWysiwygSetting->delay * 1000;
			$autosizePopup = $getWysiwygSetting->autosize_popup;
			$isActive = $getWysiwygSetting->status;
			$width = $getWysiwygSetting->width;
			$widthOption = $getWysiwygSetting->width_option;
			$height = $getWysiwygSetting->height;
			$heightOption = $getWysiwygSetting->height_option;
			if ( $widthOption == 'pixel' ) {
				$wOption = 'px';
			} else {
				$wOption = '%';
			}
			
			if ( $heightOption == 'pixel' ) {
				$hOption = 'px';
			} else {
				$hOption = '%';
			}
			
			$content = stripslashes_deep( $getWysiwygSetting->content );
			$fancyBoxCsss = plugins_url( '../js/fancybox/jquery.fancybox.css', __FILE__ );
			$fancyBoxJs = plugins_url( '../js/fancybox/jquery.fancybox.pack.js', __FILE__ );
			
			if ( $autoClose ) {
				$thisTimer = '<span style="font-size:10px;">This message will close in <span id="wysiwyg-countdown"></span>.</span>';
			} else {
				$thisTimer = '';
			}
			
			if ( $autosizePopup ) {
				$oFitToView = 'true';
				$oAutoSize = 'true';
			} else {
				$oFitToView = 'false';
				$oAutoSize = 'false';
			}
			
			echo <<<HTML
<link rel="stylesheet" type="text/css" href="{$fancyBoxCsss}"/>
<script type="text/javascript" src="{$fancyBoxJs}"></script>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#wptr-wysiwyg-popup-preview').show();
		jQuery.fancybox({
			type: "inline",
			href: "#wptr-wysiwyg-popup-preview",
			fitToView	: {$oFitToView},
			width: "{$width}{$wOption}",
			height: "{$height}{$hOption}",
			autoSize: {$oAutoSize},
			closeClick: false,
			openEffect: 'none',
			closeEffect: 'none',
			keys: {
				close : null
			},
			beforeShow: function(){
				jQuery(".fancybox-skin").css("backgroundColor", "{$getWysiwygSetting->bgcolor}");
			},
			helpers: {
				overlay : {closeClick: false}
			},
			afterClose: function(){
				jQuery('#wptr-wysiwyg-popup-preview').hide();
			}
		});
		
		if({$autoClose} == 1){
			jQuery('#wysiwyg-countdown').countdowntimer({
				seconds : {$countdownAutoclose},
				timeUp : function(){
				}
			});
		}
	});
</script>
<div id="wptr-wysiwyg-popup-preview" style="display:none;">
	{$thisTimer}
	<div style="padding-top:10px;padding-bottom:10px;">
		{$content}
	</div>
</div>
HTML;
		}
	}
	
	if ( $node == 'addcouponpopup' ) {
		$getCouponSetting = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableCoupons WHERE id = %d", $popupId ) );
		if ( !is_null( $getCouponSetting ) ) {
			$autoClose = $getCouponSetting->autoclose;
			$countdownAutoclose = $getCouponSetting->countdown_autoclose;
			$delay = $getCouponSetting->delay * 1000;
			$autosizePopup = $getCouponSetting->autosize_popup;
			$width = $getCouponSetting->width;
			$widthOption = $getCouponSetting->width_option;
			$height = $getCouponSetting->height;
			$heightOption = $getCouponSetting->height_option;
			if ( $widthOption == 'pixel' ) {
				$wOption = 'px';
			} else {
				$wOption = '%';
			}
			
			if ( $heightOption == 'pixel' ) {
				$hOption = 'px';
			} else {
				$hOption = '%';
			}
	
			$bgColor = $getCouponSetting->bgcolor;
			$coupon1 = $getCouponSetting->coupon_1;
			$contentCoupon1Above = stripslashes_deep( $getCouponSetting->content_coupon1_above );
			$contentCoupon1Below = stripslashes_deep( $getCouponSetting->content_coupon1_below );
			$coupon2 = $getCouponSetting->coupon_2;
			$contentCoupon2Above = stripslashes_deep( $getCouponSetting->content_coupon2_above );
			$contentCoupon2Below = stripslashes_deep( $getCouponSetting->content_coupon2_below );
			
			$theUrl = get_permalink( $getTheId );
			$buttons = plugins_url( '../css/buttons.css', __FILE__ );
			$fancyBoxCsss = plugins_url( '../js/fancybox/jquery.fancybox.css', __FILE__ );
			$fancyBoxJs = plugins_url( '../js/fancybox/jquery.fancybox.pack.js', __FILE__ );
			
			echo <<<RESOURCE
<link rel="stylesheet" type="text/css" href="{$buttons}"/>
<link rel="stylesheet" type="text/css" href="{$fancyBoxCsss}"/>
<script type="text/javascript" src="{$fancyBoxJs}"></script>
<script src="//connect.facebook.net/en_US/all.js#xfbml=1"></script>
RESOURCE;
			if ( $autoClose ) {
				$thisTimer = '<span style="font-size:10px;">This message will close in <span id="coupon-countdown"></span>.</span>';
			} else {
				$thisTimer = '';
			}
			
			if ( $autosizePopup ) {
				$oFitToView = 'true';
				$oAutoSize = 'true';
			} else {
				$oFitToView = 'false';
				$oAutoSize = 'false';
			}
			
			echo <<<HTML
<script type="text/javascript">
jQuery(document).ready(function(){
jQuery('#wptr-coupon-popup1').show();
jQuery.fancybox({
	type: "inline",
	href: "#wptr-coupon-popup1",
	fitToView: {$oFitToView},
	width: "{$width}{$wOption}",
	height: "{$height}{$hOption}",
	autoSize: {$oAutoSize},
	closeClick: false,
	openEffect: 'none',
	closeEffect: 'none',
	keys: {
		close : null
	},
	beforeShow: function(){
		jQuery(".fancybox-skin").css("backgroundColor", "{$getCouponSetting->bgcolor}");
	},
	helpers: {
		overlay : {closeClick: false}
	},
	afterClose: function(){
		jQuery('#wptr-coupon-popup1').hide();
	}
});

if({$autoClose} == 1){
	jQuery('#coupon-countdown').countdowntimer({
		seconds : {$countdownAutoclose},
		timeUp : function(){
		}
	});
}

FB.Event.subscribe( 'edge.create',
	function ( url ) {
		jQuery('#wptr-coupon-popup2').show();
		jQuery.fancybox({
			type: "inline",
			href: "#wptr-coupon-popup2",
			fitToView	: {$oFitToView},
			width: "{$width}{$wOption}",
			height: "{$height}{$hOption}",
			autoSize: {$oAutoSize},
			closeClick: false,
			openEffect: 'none',
			closeEffect: 'none',
			keys: {
				close : null
			},
			beforeShow: function(){
				jQuery(".fancybox-skin").css("backgroundColor", "{$getCouponSetting->bgcolor}");
			},
			helpers: {
				overlay : {closeClick: false}
			},
			afterClose: function(){
				jQuery('#wptr-coupon-popup2').hide();
			}
		});
	}
);

FB.Event.subscribe( 'edge.remove',
	function ( url ) {
		jQuery.fancybox.close(true);
		jQuery('#wptr-coupon-popup2').hide();
	}
);

});
</script>
<div id="wptr-coupon-popup1" style="display:none;">
{$thisTimer}
<div style="padding-top:10px;padding-bottom:15px;">{$contentCoupon1Above}</div>
<div style="text-align:center;">
<div><img src="{$coupon1}" style="padding-bottom:10px;"/></div>
<div class="fb-like" data-href="{$theUrl}" data-width="200" data-layout="box_count" data-action="like" data-show-faces="false" data-share="false"></div>
</div>
<div style="padding-top:15px;padding-bottom:10px;">{$contentCoupon1Below}</div>
</div>
HTML;
			echo <<<HTML
<div id="wptr-coupon-popup2" style="display:none;">
	<div style="padding-top:10px;padding-bottom:15px;">{$contentCoupon2Above}</div>
	<div class="wptr-print-me">
		<img src="{$coupon2}" style="width:100%;height:80%;padding-bottom:10px;"/>
	</div>
	<div style="text-align:center;">
		<a href="?wptrnode=download&coupon={$couponEncode}" class="button button-rounded button-small button-action" id="wptr-download-me">Download</a>&nbsp;<button class="button button-rounded button-small button-highlight" onClick="javascript:window.print()">Print</button>
	</div>
	<div style="padding-top:15px;padding-bottom:10px;">{$contentCoupon2Below}</div>
</div>
HTML;
		}
	}
	
	if ( $node == 'addvideopopup' ) {
		$getVideoSetting = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableVideos WHERE id = %d", $popupId ) );
		if ( !is_null( $getVideoSetting ) ) {
			$autoClose = $getVideoSetting->autoclose;
			$countdownAutoclose = $getVideoSetting->countdown_autoclose;
			$delay = $getVideoSetting->delay * 1000;
			$autosizePopup = $getVideoSetting->autosize_popup;
			$videoSize = $getVideoSetting->video_size;
			$videoWidth = $getVideoSetting->video_width;
			$videoHeight = $getVideoSetting->video_height;
			$width = $getVideoSetting->width;
			$widthOption = $getVideoSetting->width_option;
			$height = $getVideoSetting->height;
			$heightOption = $getVideoSetting->height_option;
			if ( $widthOption == 'pixel' ) {
				$wOption = 'px';
			} else {
				$wOption = '%';
			}

			if ( $heightOption == 'pixel' ) {
				$hOption = 'px';
			} else {
				$hOption = '%';
			}

			$bgColor = $getVideoSetting->bgcolor;
			$videoAutoplay = $getVideoSetting->video_autoplay;
			$videoId = $getVideoSetting->video_id;
			$contentVideoAbove = stripslashes_deep( $getVideoSetting->content_video_above );
			$contentVideoBelow = stripslashes_deep( $getVideoSetting->content_video_below );

			$fancyBoxCsss = plugins_url( '../js/fancybox/jquery.fancybox.css', __FILE__ );
			$fancyBoxJs = plugins_url( '../js/fancybox/jquery.fancybox.pack.js', __FILE__ );

			echo <<<RESOURCE
<link rel="stylesheet" type="text/css" href="{$fancyBoxCsss}"/>
<script type="text/javascript" src="{$fancyBoxJs}"></script>
RESOURCE;
			if ( $autoClose ) {
				$thisTimer = '<span style="font-size:10px;">This message will close in <span id="video-countdown"></span>.</span>';
			} else {
				$thisTimer = '';
			}
			
			if ( $autosizePopup ) {
				$oFitToView = 'true';
				$oAutoSize = 'true';
			} else {
				$oFitToView = 'false';
				$oAutoSize = 'false';
			}
			
			switch ( $videoSize ) {
				case 1:
					$vWidth = '560px';
					$vHeight = '315px';
				break;
				case 2:
					$vWidth = '640px';
					$vHeight = '360px';
				break;
				case 3:
					$vWidth = '853px';
					$vHeight = '480px';
				break;
				case 4:
					$vWidth = '1280px';
					$vHeight = '720px';
				break;
				case 0;
					$vWidth = $getVideoSetting->video_width . 'px';
					$vHeight = $getVideoSetting->video_height . 'px';
				break;
			}
			
			echo <<<HTML
<div id="wptr-video-popup-preview" style="display:none;">
	{$thisTimer}
	<div style="padding-top:10px;padding-bottom:15px;">{$contentVideoAbove}</div>
	<div style="text-align:center;">
		<iframe width="{$vWidth}" height="{$vHeight}" frameborder="0" title="YouTube video player" type="text/html" src="https://www.youtube.com/embed/{$videoId}?enablejsapi=1&autoplay={$videoAutoplay}"></iframe>
	</div>
	<div style="padding-top:15px;padding-bottom:10px;">{$contentVideoBelow}</div>
</div>

<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('#wptr-video-popup-preview').show();
	jQuery.fancybox({
		type: "inline",
		href: "#wptr-video-popup-preview",
		fitToView	: {$oFitToView},
		autoSize: {$oAutoSize},
		width: "{$width}{$wOption}",
		height: "{$height}{$hOption}",
		closeClick: false,
		openEffect: 'none',
		closeEffect: 'none',
		keys: {
			close : null
		},
		beforeShow: function(){
			jQuery(".fancybox-skin").css("backgroundColor", "{$getVideoSetting->bgcolor}");
		},
		helpers: {
			overlay : {closeClick: false}
		},
		beforeClose: function(){
			jQuery('#wptr-video-popup-preview').remove();
		},
		afterClose: function(){
			jQuery('#wptr-video-popup-preview').hide();
		}
	});

	if({$autoClose} == 1){
		jQuery('#video-countdown').countdowntimer({
			seconds : {$countdownAutoclose},
			timeUp : function(){
			}
		});
	}
});
</script>
HTML;
		}
	}
}
?>