jQuery(document).ready(function(){
	jQuery(document).on('change', '#wptr-option-popup', function(e){
		var option = jQuery(this).val();
		jQuery('#wptr-add-popup').attr('href', option);
	});
	
	/**
	 * Switch To Enabled
	 */
	jQuery(document).on('click', '.wptr-status-enable', function(e){
		e.preventDefault();
		var thisLink = jQuery(this);
		var pId = jQuery(this).data('id');
		var pName = jQuery(this).data('pname');
		var pNode = jQuery(this).data('pnode');
		var noticeDelete = noty({
			text        : 'Enable popup <strong>'+pName+'</strong> ?',
			type        : 'information',
			dismissQueue: true,
			layout      : 'center',
			theme       : 'defaultTheme',
			maxVisible	: 1,
			killer			: true,
			buttons: [
				{
					addClass: 'button-primary', 
					text: 'Enable', 
					onClick: function($noty){
						buttonNoty = jQuery(this);
						
						objEnablePopup = new Object;
						objEnablePopup.node = 'enablePopup';
						objEnablePopup.action = 'wptrafficmax_ajax';
						objEnablePopup.wptrafficmax_nonce = wptrafficmax_params.wptrafficmax_nonce
						objEnablePopup.pId = pId;
						objEnablePopup.pNode = pNode;
		
						jQuery.ajax({
							url : ajaxurl,
							data : objEnablePopup,
							type: 'POST',
							dataType: 'HTML',
							beforeSend: function(){
								buttonNoty.prop('disabled', true);
								buttonNoty.html('Updating ...');
							},
							complete: function(){
								setTimeout(function(){$noty.close();buttonNoty.text('Enable');}, 2000);
								buttonNoty.prop('disabled', false);
							},
							success: function(res){
								if(res == 'OK'){
									if(pNode == 1){
										var thisOne = jQuery('span.wptr-status-switch-2.wptr-node-1-' + pId);
										thisOne.text('Enabled');
										thisOne.addClass('wptr-status-switch-1');
										thisOne.removeClass('wptr-status-switch-2');
										
										thisLink.addClass('wptr-status-disable');
										thisLink.removeClass('wptr-status-enable');
										thisLink.text('Disable');
									}
									
									if(pNode == 2){
										var thisOne = jQuery('span.wptr-status-switch-2.wptr-node-2-' + pId);
										thisOne.text('Enabled');
										thisOne.addClass('wptr-status-switch-1');
										thisOne.removeClass('wptr-status-switch-2');
										
										thisLink.addClass('wptr-status-disable');
										thisLink.removeClass('wptr-status-enable');
										thisLink.text('Disable');
									}
									
									if(pNode == 3){
										var thisOne = jQuery('span.wptr-status-switch-2.wptr-node-3-' + pId);
										thisOne.text('Enabled');
										thisOne.addClass('wptr-status-switch-1');
										thisOne.removeClass('wptr-status-switch-2');
										
										thisLink.addClass('wptr-status-disable');
										thisLink.removeClass('wptr-status-enable');
										thisLink.text('Disable');
									}
									
									if(pNode == 4){
										var thisOne = jQuery('span.wptr-status-switch-2.wptr-node-4-' + pId);
										thisOne.text('Enabled');
										thisOne.addClass('wptr-status-switch-1');
										thisOne.removeClass('wptr-status-switch-2');
										
										thisLink.addClass('wptr-status-disable');
										thisLink.removeClass('wptr-status-enable');
										thisLink.text('Disable');
									}
									
									if(pNode == 5){
										var thisOne = jQuery('span.wptr-status-switch-2.wptr-node-5-' + pId);
										thisOne.text('Enabled');
										thisOne.addClass('wptr-status-switch-1');
										thisOne.removeClass('wptr-status-switch-2');
										
										thisLink.addClass('wptr-status-disable');
										thisLink.removeClass('wptr-status-enable');
										thisLink.text('Disable');
									}
									
									if(pNode == 6){
										var thisOne = jQuery('span.wptr-status-switch-2.wptr-node-6-' + pId);
										thisOne.text('Enabled');
										thisOne.addClass('wptr-status-switch-1');
										thisOne.removeClass('wptr-status-switch-2');
										
										thisLink.addClass('wptr-status-disable');
										thisLink.removeClass('wptr-status-enable');
										thisLink.text('Disable');
									}
									
									if(pNode == 7){
										var thisOne = jQuery('span.wptr-status-switch-2.wptr-node-7-' + pId);
										thisOne.text('Enabled');
										thisOne.addClass('wptr-status-switch-1');
										thisOne.removeClass('wptr-status-switch-2');
										
										thisLink.addClass('wptr-status-disable');
										thisLink.removeClass('wptr-status-enable');
										thisLink.text('Disable');
									}
									$noty.close();
								}else{
									var errNoty = noty({
										text        : 'Could not disable the popup.',
										type        : 'warning',
										dismissQueue: true,
										layout      : 'center',
										theme       : 'defaultTheme',
										maxVisible	: 1,
										killer			: true
									});
									return false;
								}
							}
						});
					}
				},
				{
					addClass: 'button',
					text: 'Cancel',
					onClick: function($noty){
						$noty.close();
					}
				}
			]
		});
	});
	
	/**
	 * Switch To Disabled
	 */
	jQuery(document).on('click', '.wptr-status-disable', function(e){
		e.preventDefault();
		var thisLink = jQuery(this);
		var pId = jQuery(this).data('id');
		var pName = jQuery(this).data('pname');
		var pNode = jQuery(this).data('pnode');
		var noticeDelete = noty({
			text        : 'Disable popup <strong>'+pName+'</strong> ?',
			type        : 'information',
			dismissQueue: true,
			layout      : 'center',
			theme       : 'defaultTheme',
			maxVisible	: 1,
			killer			: true,
			buttons: [
				{
					addClass: 'button-primary', 
					text: 'Disable', 
					onClick: function($noty){
						buttonNoty = jQuery(this);
						
						objDisablePopup = new Object;
						objDisablePopup.node = 'disablePopup';
						objDisablePopup.action = 'wptrafficmax_ajax';
						objDisablePopup.wptrafficmax_nonce = wptrafficmax_params.wptrafficmax_nonce
						objDisablePopup.pId = pId;
						objDisablePopup.pNode = pNode;
		
						jQuery.ajax({
							url : ajaxurl,
							data : objDisablePopup,
							type: 'POST',
							dataType: 'HTML',
							beforeSend: function(){
								buttonNoty.prop('disabled', true);
								buttonNoty.html('Updating ...');
							},
							complete: function(){
								setTimeout(function(){$noty.close();buttonNoty.text('Disable');}, 2000);
								buttonNoty.prop('disabled', false);
							},
							success: function(res){
								if(res == 'OK'){
									if(pNode == 1){
										var thisOne = jQuery('span.wptr-status-switch-1.wptr-node-1-' + pId);
										thisOne.text('Disabled');
										thisOne.addClass('wptr-status-switch-2');
										thisOne.removeClass('wptr-status-switch-1');
										
										thisLink.addClass('wptr-status-enable');
										thisLink.removeClass('wptr-status-disable');
										thisLink.text('Enable');
									}
									
									if(pNode == 2){
										var thisOne = jQuery('span.wptr-status-switch-1.wptr-node-2-' + pId);
										thisOne.text('Disabled');
										thisOne.addClass('wptr-status-switch-2');
										thisOne.removeClass('wptr-status-switch-1');
										
										thisLink.addClass('wptr-status-enable');
										thisLink.removeClass('wptr-status-disable');
										thisLink.text('Enable');
									}
									
									if(pNode == 3){
										var thisOne = jQuery('span.wptr-status-switch-1.wptr-node-3-' + pId);
										thisOne.text('Disabled');
										thisOne.addClass('wptr-status-switch-2');
										thisOne.removeClass('wptr-status-switch-1');
										
										thisLink.addClass('wptr-status-enable');
										thisLink.removeClass('wptr-status-disable');
										thisLink.text('Enable');
									}
									
									if(pNode == 4){
										var thisOne = jQuery('span.wptr-status-switch-1.wptr-node-4-' + pId);
										thisOne.text('Disabled');
										thisOne.addClass('wptr-status-switch-2');
										thisOne.removeClass('wptr-status-switch-1');
										
										thisLink.addClass('wptr-status-enable');
										thisLink.removeClass('wptr-status-disable');
										thisLink.text('Enable');
									}
									
									if(pNode == 5){
										var thisOne = jQuery('span.wptr-status-switch-1.wptr-node-5-' + pId);
										thisOne.text('Disabled');
										thisOne.addClass('wptr-status-switch-2');
										thisOne.removeClass('wptr-status-switch-1');
										
										thisLink.addClass('wptr-status-enable');
										thisLink.removeClass('wptr-status-disable');
										thisLink.text('Enable');
									}
									
									if(pNode == 6){
										var thisOne = jQuery('span.wptr-status-switch-1.wptr-node-6-' + pId);
										thisOne.text('Disabled');
										thisOne.addClass('wptr-status-switch-2');
										thisOne.removeClass('wptr-status-switch-1');
										
										thisLink.addClass('wptr-status-enable');
										thisLink.removeClass('wptr-status-disable');
										thisLink.text('Enable');
									}
									
									if(pNode == 7){
										var thisOne = jQuery('span.wptr-status-switch-1.wptr-node-7-' + pId);
										thisOne.text('Disabled');
										thisOne.addClass('wptr-status-switch-2');
										thisOne.removeClass('wptr-status-switch-1');
										
										thisLink.addClass('wptr-status-enable');
										thisLink.removeClass('wptr-status-disable');
										thisLink.text('Enable');
									}
									$noty.close();
								}else{
									var errNoty = noty({
										text        : 'Could not disable the popup.',
										type        : 'warning',
										dismissQueue: true,
										layout      : 'center',
										theme       : 'defaultTheme',
										maxVisible	: 1,
										killer			: true
									});
									return false;
								}
							}
						});
					}
				},
				{
					addClass: 'button',
					text: 'Cancel',
					onClick: function($noty){
						$noty.close();
					}
				}
			]
		});
	});
	
	/**
	 * Remove Popup
	 */
	jQuery(document).on('click', '.wptr-popup-remove', function(e){
		e.preventDefault();
		var pId = jQuery(this).data('pid');
		var pName = jQuery(this).data('pname');
		var pNode = jQuery(this).data('pnode');
		
		var noticeDelete = noty({
			text        : 'Delete popup <strong>'+pName+'</strong> ?',
			type        : 'information',
			dismissQueue: true,
			layout      : 'center',
			theme       : 'defaultTheme',
			maxVisible	: 1,
			killer			: true,
			buttons: [
				{
					addClass: 'button-primary', 
					text: 'Delete', 
					onClick: function($noty){
						buttonNoty = jQuery(this);
						
						objDelPopup = new Object;
						objDelPopup.node = 'deletePopup';
						objDelPopup.action = 'wptrafficmax_ajax';
						objDelPopup.wptrafficmax_nonce = wptrafficmax_params.wptrafficmax_nonce
						objDelPopup.pId = pId;
						objDelPopup.pNode = pNode;
		
						jQuery.ajax({
							url : ajaxurl,
							data : objDelPopup,
							type: 'POST',
							dataType: 'HTML',
							beforeSend: function(){
								buttonNoty.prop('disabled', true);
								buttonNoty.html('Deleting ...');
							},
							complete: function(){
								buttonNoty.prop('disabled', false);
								setTimeout(function(){$noty.close();buttonNoty.text('Delete');}, 2000);
							},
							success: function(res){
								if(res == 'OK'){
									var tr = jQuery(e.target).closest("tr");
									jQuery(tr).remove();
									$noty.close();
								}else{
									var errNoty = noty({
										text        : 'Could not delete the popup.',
										type        : 'warning',
										dismissQueue: true,
										layout      : 'center',
										theme       : 'defaultTheme',
										maxVisible	: 1,
										killer			: true
									});
									return false;
								}
							}
						});
					}
				},
				{
					addClass: 'button',
					text: 'Cancel',
					onClick: function($noty){
						$noty.close();
					}
				}
			]
		});
	});
});