<?php
global $wpdb;
$popupId = $_GET['popupid'];
$tableCoupons = $wpdb->prefix . 'wptr_coupons';
$getCoupon = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableCoupons WHERE id = %d", $popupId ) );
?>
<h3>Social Gate Popup Settings</h3>
<div>
	<?php
	if ( $_GET['s3r4'] == 'added' ) {
		echo '<div class="updated"><p>Social Gate popup was added.</p></div>';
	} elseif ( $_GET['s3r4'] == 'updated' ) {
		echo '<div class="updated"><p>Social Gate popup was updated.</p></div>';
	}
	?>
</div>
<div>
	<form action="" method="POST">
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Popup Name</td>
			<td><input type="text" name="wptr_coupon_name" style="width:300px" value="<?php echo $getCoupon->name; ?>"/><br/><em>Popup name.</em></td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Autoclose</td>
			<td><input type="checkbox" name="wptr_coupon_autoclose" value="yes" <?php checked( $getCoupon->autoclose, 1 ); ?>/><br/><em>Perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td>Autoclose Countdown</td>
			<td><input type="number" name="wptr_coupon_countdown_autoclose" style="width:150px" min="0" value="<?php echo $getCoupon->countdown_autoclose; ?>"/><br/><em>Countdown (in seconds) to perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td>Delay</td>
			<td><input type="number" name="wptr_coupon_delay" style="width:150px" min="0" value="<?php echo $getCoupon->delay; ?>"/><br/><em>Delay (in seconds) before showing the popup.</em></td>
		</tr>
		<tr>
			<td>Cookie Lifetime</td>
			<td>
				<input type="number" name="wptr_coupon_cookie_time" style="width:150px" min="0" value="<?php echo $getCoupon->cookie_time; ?>"/>
				<select name="wptr_coupon_cookie_interval">
					<option value="1" <?php selected( $getCoupon->cookie_interval, 1 ); ?>>Hours</option>
					<option value="2" <?php selected( $getCoupon->cookie_interval, 2 ); ?>>Days</option>
				</select>
				<br/><em>Cookie expired time. Set to 0 (zero) to disable the cookie.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Auto Width and Height</td>
			<td>
				<input type="checkbox" name="wptr_coupon_autosize_popup" <?php checked( $getCoupon->autosize_popup, 1 ); ?>>
				<br/><em>Use dynamic size for popup width and height. Uncheck this if you want to use custom size for the popup.</em>
			</td>
		</tr>
		<!--<tr>
			<td>Use Recommended Size</td>
			<td>
				<select name="wptr_coupon_popup_size">
					<option value="0" <?php selected( $getCoupon->popup_size, 0 ); ?>>Custom Size</option>
					<option value="1" <?php selected( $getCoupon->popup_size, 1 ); ?>>560 x 315 px</option>
					<option value="2" <?php selected( $getCoupon->popup_size, 2 ); ?>>640 x 360 px</option>
					<option value="3" <?php selected( $getCoupon->popup_size, 3 ); ?>>853 x 480 px</option>
					<option value="4" <?php selected( $getCoupon->popup_size, 4 ); ?>>1280 x 720 px</option>
				</select>
				<br/><em>Use our recommended size. Choose Custom Size if you want to define the popup size manually.</em>
			</td>
		</tr>-->
		<tr>
			<td>Custom Popup Width</td>
			<td>
				<input type="text" name="wptr_coupon_width" style="width:150px" value="<?php echo $getCoupon->width; ?>"/>
				<select name="wptr_coupon_width_option">
					<option value="pixel" <?php selected( $getCoupon->width_option, 'pixel' ); ?>>px</option>
					<option value="percentage" <?php selected( $getCoupon->width_option, 'percentage' ); ?>>%</option>
				</select><br/><em>Custom popup width.</em>
			</td>
		</tr>
		<tr>
			<td>Custom Popup Height</td>
			<td>
				<input type="text" name="wptr_coupon_height" style="width:150px" value="<?php echo $getCoupon->height; ?>"/>
				<select name="wptr_coupon_height_option">
					<option value="pixel" <?php selected( $getCoupon->height_option, 'pixel' ); ?>>px</option>
					<option value="percentage" <?php selected( $getCoupon->height_option, 'percentage' ); ?>>%</option>
				</select><br/><em>Custom popup height.</em>
			</td>
		</tr>
		<tr>
			<td>Background Color</td>
			<td><input type="text" name="wptr_coupon_bgcolor" style="width:150px" value="<?php echo $getCoupon->bgcolor; ?>" class="color {hash:true}"/><br/><em>Popup background color.</em></td>
		</tr>
	</table>
		<!--<tr>
			<td>Border Width</td>
			<td>
				<select name="wptr_coupon_borderwidth">
					<option value="small" <?php selected( $getCoupon->border_width, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $getCoupon->border_width, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $getCoupon->border_width, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>Border Rounding</td>
			<td>
				<select name="wptr_coupon_borderrounding">
					<option value="small" <?php selected( $getCoupon->border_round, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $getCoupon->border_round, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $getCoupon->border_round, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>Border Drop Shadow</td>
			<td>
				<select name="wptr_coupon_borderdropshadow">
					<option value="small" <?php selected( $getCoupon->border_shadow, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $getCoupon->border_shadow, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $getCoupon->border_shadow, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>-->
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Coupon Image #1</td>
			<td>
				<input type="text" name="wptr_coupon_image1" id="wptr-coupon-image1" value="<?php echo $getCoupon->coupon_1; ?>" style="width:400px"/>&nbsp;<button class="button" id="wptr-upload-coupon1">Upload</button>
				<br/><em>Image for coupon #1.</em>
			</td>
		</tr>
		<tr>
			<td style="width:250px">Content Above Coupon #1</td>
			<td>
			<?php wp_editor( stripslashes_deep( $getCoupon->content_coupon1_above ), 'wptr-coupon-content1above' ); ?>
			<br/><em>WYSIWYG content above the coupon #1.</em>
			</td>
		</tr>
		<tr>
			<td style="width:250px">Content Below Coupon #1</td>
			<td>
			<?php wp_editor( stripslashes_deep( $getCoupon->content_coupon1_below ), 'wptr-coupon-content1below' ); ?>
			<br/><em>WYSIWYG content below the coupon #1.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td>Coupon Image #2</td>
			<td>
				<input type="text" name="wptr_coupon_image2" id="wptr-coupon-image2" value="<?php echo $getCoupon->coupon_2; ?>" style="width:400px"/>&nbsp;<button class="button" id="wptr-upload-coupon2">Upload</button>
				<br/><em>Image for coupon #2.</em>
			</td>
		</tr>
		<tr>
			<td style="width:250px">Content Above Coupon #2</td>
			<td>
			<?php wp_editor( stripslashes_deep( $getCoupon->content_coupon2_above ), 'wptr-coupon-content2above' ); ?>
			<br/><em>WYSIWYG content above the coupon #2.</em>
			</td>
		</tr>
		<tr>
			<td style="width:250px">Content Below Coupon #2</td>
			<td>
			<?php wp_editor( stripslashes_deep( $getCoupon->content_coupon2_below ), 'wptr-coupon-content2below' ); ?>
			<br/><em>WYSIWYG content below the coupon #2.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Display On Posts</td>
			<td>
				<select name="wptr_coupon_displayonposts[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getCoupon->display_on_posts ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Posts</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'post',
					'post_status' => 'publish',
					'posts_per_page' => -1
				);
				$posts = get_posts($args);
				if($posts || count($posts)){
					foreach($posts as $post){
						if ( in_array( '{'.$post->ID.'}', explode( ',', $getCoupon->display_on_posts ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $post->ID . "' ".$selected.">" . $post->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select posts where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Pages</td>
			<td>
				<select name="wptr_coupon_displayonpages[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getCoupon->display_on_pages ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Pages</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'page',
					'post_status' => 'publish'
				);
				$pages = get_pages($args);
				if($pages || count($pages)){
					foreach($pages as $page){
						if ( in_array( '{'.$page->ID.'}', explode( ',', $getCoupon->display_on_pages ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $page->ID . "' ".$selected.">" . $page->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select pages where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Categories</td>
			<td>
			<select name="wptr_coupon_displayoncategories[]" style="min-width:300px;min-height:250px;" multiple>
				<?php
				if ( in_array( '{ALL}', explode( ',', $getCoupon->display_on_cats ) ) ) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				?>
				<option value="ALL" <?php echo $selected; ?>>All Categories</option>
			<?php
			$args = array(
				'orderby' => 'name',
				'hide_empty' => 1,
				'order' => 'ASC'
				);
			$categories = get_categories($args);
			if($categories || count($categories)){
					foreach($categories as $cat){
						if ( in_array( '{'.$cat->cat_ID.'}', explode( ',', $getCoupon->display_on_cats ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $cat->cat_ID . "' ".$selected.">" . $cat->name . "</option>";
					}
				}
			?>
			</select>
			<br/><em>Select categories where the popup will appear.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Action On Close</td>
			<td>
				<input type="checkbox" name="wptr_coupon_actiononclose" value="y" <?php checked( $getCoupon->onclose, 1); ?>/> Redirect to URL<br/>
				<input type="text" name="wptr_coupon_redirecttourl" style="width:300px" value="<?php echo $getCoupon->redirect_url; ?>"/>
				<br/><em>Redirect to custom url.</em>
			</td>
		</tr>
	</table>
	<input type="hidden" name="wptr_hidden_coupon" value="<?php echo $popupId; ?>"/>
	<?php
	if ( !empty( $popupId ) ) {
		$andThen = '&popupid=' . $popupId;
	} else {
		$andThen = '';
	}
	?>
	<input type="hidden" name="wptr_hidden_coupon_referer" value="<?php echo admin_url() . 'admin.php?page=wptrafficmax&node=addcouponpopup' . $andThen; ?>">
	<input type="checkbox" name="wptr_coupon_preview" value="yes"/> Preview after save.<br/><br/>
	<input type="submit" name="submit_coupon" value="Save Settings" class="button-primary"/>
	</form>
</div>