<?php
global $wpdb;
$popupId = $_GET['popupid'];
$tableInterstitials = $wpdb->prefix . 'wptr_interstitials';
$getInterstitial = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableInterstitials WHERE id = %d", $popupId ) );
?>
<h3>Interstitial Popup Settings</h3>
<div>
	<?php
	if ( $_GET['s3r4'] == 'added' ) {
		echo '<div class="updated"><p>Interstitial popup was added.</p></div>';
	} elseif ( $_GET['s3r4'] == 'updated' ) {
		echo '<div class="updated"><p>Interstitial popup was updated.</p></div>';
	}
	?>
</div>
<div>
	<form action="" method="POST">
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Popup Name</td>
			<td><input type="text" name="wptr_interstitial_name" style="width:300px" value="<?php echo $getInterstitial->name; ?>"/><br/><em>Popup name.</em></td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Autoclose</td>
			<td><input type="checkbox" name="wptr_interstitial_autoclose" value="yes" <?php checked( $getInterstitial->autoclose, 1 ); ?>/><br/><em>Perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td style="width:250px">Autoclose Countdown</td>
			<td><input type="number" name="wptr_interstitial_countdown_autoclose" style="width:150px" min="0" value="<?php echo $getInterstitial->countdown_autoclose; ?>"/><br/><em>Countdown (in seconds) to perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td>Cookie Lifetime</td>
			<td>
				<input type="number" name="wptr_interstitial_cookie_time" style="width:150px" min="0" value="<?php echo $getInterstitial->cookie_time; ?>"/>
				<select name="wptr_interstitial_cookie_interval">
					<option value="1" <?php selected( $getInterstitial->cookie_interval, 1 ); ?>>Hours</option>
					<option value="2" <?php selected( $getInterstitial->cookie_interval, 2 ); ?>>Days</option>
				</select>
				<br/><em>Cookie expired time. Set to 0 (zero) to disable the cookie.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Background Color #1</td>
			<td><input type="text" name="wptr_interstitial_bgcolor1" style="width:150px" value="<?php echo $getInterstitial->bgcolor_1; ?>" class="color {hash:true}"/><br/><em>Popup background color #1.</em></td>
		</tr>
		<tr>
			<td>Background Color #2</td>
			<td><input type="text" name="wptr_interstitial_bgcolor2" style="width:150px" value="<?php echo $getInterstitial->bgcolor_2; ?>" class="color {hash:true}"/><br/><em>Popup background color #2.</em></td>
		</tr>
		<tr>
			<td>Text Color #1</td>
			<td><input type="text" name="wptr_interstitial_textcolor1" style="width:150px" value="<?php echo $getInterstitial->textcolor_1; ?>" class="color {hash:true}"/><br/><em>Popup text color #1.</em></td>
		</tr>
		<tr>
			<td>Text Color #2</td>
			<td><input type="text" name="wptr_interstitial_textcolor2" style="width:150px" value="<?php echo $getInterstitial->textcolor_2; ?>" class="color {hash:true}"/><br/><em>Popup text color #2.</em></td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Content #1</td>
			<td>
			<?php wp_editor( stripslashes_deep( $getInterstitial->content_1 ), 'wptr-interstitial-popup-1' ); ?>
			<br/><em>WYSIWYG content #1.</em>
			</td>
		</tr>
		<tr>
			<td>Content #2</td>
			<td>
			<?php wp_editor( stripslashes_deep( $getInterstitial->content_2 ), 'wptr-interstitial-popup-2' ); ?>
			<br/><em>WYSIWYG content #2.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Skip Text</td>
			<td><input type="text" name="wptr_interstitial_skiptext" style="width:300px" value="<?php echo $getInterstitial->skiptext; ?>"/><br/><em>Skip text.</em></td>
		</tr>
		<tr>
			<td>Skip Text Color</td>
			<td><input type="text" name="wptr_interstitial_skiptextcolor" style="width:150px" value="<?php echo $getInterstitial->skiptextcolor; ?>" class="color {hash:true}"/><br/><em>Skip text color.</em></td>
		</tr>
		<tr>
			<td>Skip Text Font Size</td>
			<td><input type="number" name="wptr_interstitial_skiptextfontsize" style="width:150px" min="1" value="<?php echo $getInterstitial->skiptextfontsize; ?>"/> px<br/><em>Skip text font size.</em></td>
		</tr>
		<tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Display On Posts</td>
			<td>
				<select name="wptr_interstitial_displayonposts[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getInterstitial->display_on_posts ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Posts</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'post',
					'post_status' => 'publish',
					'posts_per_page' => -1
				);
				$posts = get_posts($args);
				if($posts || count($posts)){
					foreach($posts as $post){
						if ( in_array( '{'.$post->ID.'}', explode( ',', $getInterstitial->display_on_posts ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $post->ID . "' ".$selected.">" . $post->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select posts where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Pages</td>
			<td>
				<select name="wptr_interstitial_displayonpages[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getInterstitial->display_on_pages ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Pages</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'page',
					'post_status' => 'publish'
				);
				$pages = get_pages($args);
				if($pages || count($pages)){
					foreach($pages as $page){
						if ( in_array( '{'.$page->ID.'}', explode( ',', $getInterstitial->display_on_pages ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $page->ID . "' ".$selected.">" . $page->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select pages where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Categories</td>
			<td>
			<select name="wptr_interstitial_displayoncategories[]" style="min-width:300px;min-height:250px;" multiple>
				<?php
				if ( in_array( '{ALL}', explode( ',', $getInterstitial->display_on_cats ) ) ) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				?>
				<option value="ALL" <?php echo $selected; ?>>All Categories</option>
			<?php
			$args = array(
				'orderby' => 'name',
				'hide_empty' => 1,
				'order' => 'ASC'
				);
			$categories = get_categories($args);
			if($categories || count($categories)){
					foreach($categories as $cat){
						if ( in_array( '{'.$cat->cat_ID.'}', explode( ',', $getInterstitial->display_on_cats ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $cat->cat_ID . "' ".$selected.">" . $cat->name . "</option>";
					}
				}
			?>
			</select>
			<br/><em>Select categories where the popup will appear.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Action On Close</td>
			<td>
				<input type="checkbox" name="wptr_interstitial_actiononclose" value="y" <?php checked( $getInterstitial->onclose, 1 ); ?>/> Redirect to URL<br/>
				<input type="text" name="wptr_interstitial_redirecttourl" style="width:300px" value="<?php echo $getInterstitial->redirect_url; ?>"/>
				<br/><em>Redirect to custom url.</em>
			</td>
		</tr>
	</table>
	<input type="hidden" name="wptr_hidden_interstitial" value="<?php echo $popupId; ?>"/>
	<?php
	if ( !empty( $popupId ) ) {
		$andThen = '&popupid=' . $popupId;
	} else {
		$andThen = '';
	}
	?>
	<input type="hidden" name="wptr_hidden_interstitial_referer" value="<?php echo admin_url() . 'admin.php?page=wptrafficmax&node=addinterstitialpopup' . $andThen; ?>">
	<input type="checkbox" name="wptr_interstitial_preview" value="yes"/> Preview after save.<br/><br/>
	<input type="submit" name="submit_interstitial" value="Save Settings" class="button-primary"/>
	</form>
</div>