<?php
global $wpdb;
$popupId = $_GET['popupid'];
$tableOptins = $wpdb->prefix. 'wptr_optins';
$getOptin = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableOptins WHERE id = %d", $popupId ) );
?>
<h3>Optin Form Popup Settings</h3>
<div>
	<?php
	if ( $_GET['s3r4'] == 'added' ) {
		echo '<div class="updated"><p>Optin Form popup was added.</p></div>';
	} elseif ( $_GET['s3r4'] == 'updated' ) {
		echo '<div class="updated"><p>Optin Form popup was updated.</p></div>';
	}
	?>
</div>
<div>
	<form action="" method="POST">
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Popup Name</td>
			<td><input type="text" name="wptr_optin_name" style="width:300px" value="<?php echo $getOptin->name; ?>"/><br/><em>Popup name.</em></td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Autoclose</td>
			<td><input type="checkbox" name="wptr_optin_autoclose" value="yes" <?php checked( $getOptin->autoclose, 1 ); ?>/><br/><em>Perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td style="width:250px">Autoclose Countdown</td>
			<td><input type="number" name="wptr_optin_countdown_autoclose" style="width:150px" min="0" value="<?php echo $getOptin->countdown_autoclose; ?>"/><br/><em>Countdown (in seconds) to perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td style="width:250px">Delay</td>
			<td><input type="number" name="wptr_optin_delay" style="width:150px" min="0" value="<?php echo $getOptin->delay; ?>"/><br/><em>Delay (in seconds) before showing the popup.</em></td>
		</tr>
		<tr>
			<td>Cookie Lifetime</td>
			<td>
				<input type="number" name="wptr_optin_cookie_time" style="width:150px" min="0" value="<?php echo $getOptin->cookie_time; ?>"/>
				<select name="wptr_optin_cookie_interval">
					<option value="1" <?php selected( $getOptin->cookie_interval, 1 ); ?>>Hours</option>
					<option value="2" <?php selected( $getOptin->cookie_interval, 2 ); ?>>Days</option>
				</select>
				<br/><em>Cookie expired time. Set to 0 (zero) to disable the cookie.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Auto Width and Height</td>
			<td>
				<input type="checkbox" name="wptr_optin_autosize_popup" <?php checked( $getOptin->autosize_popup, 1 ); ?>>
				<br/><em>Use dynamic size for popup width and height. Uncheck this if you want to use custom size for the popup.</em>
			</td>
		</tr>
		<tr>
			<td style="width:200px;">Custom Popup Width</td>
			<td>
				<input type="text" name="wptr_optin_width" style="width:150px" value="<?php echo $getOptin->width; ?>"/>
				<select name="wptr_optin_width_option">
					<option value="pixel" <?php selected( $getOptin->width_option, 'pixel' ); ?>>px</option>
					<option value="percentage" <?php selected( $getOptin->width_option, 'percentage' ); ?>>%</option>
				</select><br/><em>Custom popup width.</em>
			</td>
		</tr>
		<tr>
			<td>Custom Popup Height</td>
			<td>
				<input type="text" name="wptr_optin_height" style="width:150px" value="<?php echo $getOptin->height; ?>"/>
				<select name="wptr_optin_height_option">
					<option value="pixel" <?php selected( $getOptin->height_option, 'pixel' ); ?>>px</option>
					<option value="percentage" <?php selected( $getOptin->height_option, 'percentage' ); ?>>%</option>
				</select><br/><em>Custom popup height.</em>
			</td>
		</tr>
		<tr>
			<td>Background Color</td>
			<td><input type="text" name="wptr_optin_bgcolor" style="width:150px" value="<?php echo $getOptin->bgcolor; ?>" class="color {hash:true}"/><br/><em>Popup background color.</em></td>
		</tr>
		<!--<tr>
			<td>Border Width</td>
			<td>
				<select name="wptr_optin_borderwidth">
					<option value="small" <?php selected( $getOptin->border_width, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $getOptin->border_width, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $getOptin->border_width, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>Border Rounding</td>
			<td>
				<select name="wptr_optin_borderrounding">
					<option value="small" <?php selected( $getOptin->border_round, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $getOptin->border_round, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $getOptin->border_round, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>Border Drop Shadow</td>
			<td>
				<select name="wptr_optin_borderdropshadow">
					<option value="small" <?php selected( $getOptin->border_shadow, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $getOptin->border_shadow, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $getOptin->border_shadow, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>-->
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Embedded HTML Optin Form</td>
			<td>
			<textarea name="wptr_optin_content" style="width:100%;height:300px;" id="wptr-optin-content"><?php echo stripslashes_deep( $getOptin->content ); ?></textarea>
			<br/><em>Embedded Optin Form.</em>
			</td>
		</tr>
		<tr>
			<td style="width:250px">Action On Subscribe</td>
			<td>
				<select name="wptr_optin_onsubscribe">
					<option value="close" <?php selected( $getOptin->onsubscribe, 'close' ); ?>>Close Popup</option>
					<option value="redirect" <?php selected( $getOptin->onsubscribe, 'redirect' ); ?>>Redirect to Page</option>
				</select><br/><em>Action after visitor click the subscribe button.</em>
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				<select name="wptr_optin_onsubscribe_page">
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'page',
					'post_status' => 'publish'
				);
				$pages = get_pages($args);
				if($pages || count($pages)){
					foreach($pages as $page){
						if ( in_array( $page->ID, explode( ',', $getOptin->onsubscribe_page ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $page->ID . "' ".$selected.">" . $page->post_title . "</option>";
					}
				}
				?>
				</select><br/><em>Choose page to redirect if you want to redirect visitor after subscribing to the Mailing List.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Display On Posts</td>
			<td>
				<select name="wptr_optin_displayonposts[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getOptin->display_on_posts ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Posts</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'post',
					'post_status' => 'publish',
					'posts_per_page' => -1
				);
				$posts = get_posts($args);
				if($posts || count($posts)){
					foreach($posts as $post){
						if ( in_array( '{'.$post->ID.'}', explode( ',', $getOptin->display_on_posts ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $post->ID . "' ".$selected.">" . $post->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select posts where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Pages</td>
			<td>
				<select name="wptr_optin_displayonpages[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getOptin->display_on_pages ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Pages</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'page',
					'post_status' => 'publish'
				);
				$pages = get_pages($args);
				if($pages || count($pages)){
					foreach($pages as $page){
						if ( in_array( '{'.$page->ID.'}', explode( ',', $getOptin->display_on_pages ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $page->ID . "' ".$selected.">" . $page->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select pages where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Categories</td>
			<td>
			<select name="wptr_optin_displayoncategories[]" style="min-width:300px;min-height:250px;" multiple>
				<?php
				if ( in_array( '{ALL}', explode( ',', $getOptin->display_on_cats ) ) ) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				?>
				<option value="ALL" <?php echo $selected; ?>>All Categories</option>
			<?php
			$args = array(
				'orderby' => 'name',
				'hide_empty' => 1,
				'order' => 'ASC'
				);
			$categories = get_categories($args);
			if($categories || count($categories)){
					foreach($categories as $cat){
						if ( in_array( '{'.$cat->cat_ID.'}', explode( ',', $getOptin->display_on_cats ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $cat->cat_ID . "' ".$selected.">" . $cat->name . "</option>";
					}
				}
			?>
			</select>
			<br/><em>Select categories where the popup will appear.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Action On Close</td>
			<td>
				<input type="checkbox" name="wptr_optin_actiononclose" value="y" <?php checked( $getOptin->onclose, 1); ?>/> Redirect to URL<br/>
				<input type="text" name="wptr_optin_redirecttourl" style="width:300px" value="<?php echo $getOptin->redirect_url; ?>"/>
				<br/><em>Redirect to custom url.</em>
			</td>
		</tr>
	</table>
	<input type="hidden" name="wptr_hidden_optin" value="<?php echo $popupId; ?>"/>
	<?php
	if ( !empty( $popupId ) ) {
		$andThen = '&popupid=' . $popupId;
	} else {
		$andThen = '';
	}
	?>
	<input type="hidden" name="wptr_hidden_optin_referer" value="<?php echo admin_url() . 'admin.php?page=wptrafficmax&node=addoptinpopup' . $andThen; ?>">
	<input type="checkbox" name="wptr_optin_preview" value="yes"/> Preview after save.<br/><br/>
	<input type="submit" name="submit_optin" value="Save Settings" class="button-primary"/>
	</form>
</div>