<?php
global $wpdb;
$popupId = $_GET['popupid'];
$tableVideos = $wpdb->prefix . 'wptr_videos';
$getVideo = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $tableVideos WHERE id = %d", $popupId ) );
?>
<h3>Video Popup Settings</h3>
<div>
	<?php
	if ( $_GET['s3r4'] == 'added' ) {
		echo '<div class="updated"><p>Video popup was added.</p></div>';
	} elseif ( $_GET['s3r4'] == 'updated' ) {
		echo '<div class="updated"><p>Video popup was updated.</p></div>';
	}
	?>
</div>
<div>
	<form action="" method="POST">
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Popup Name</td>
			<td><input type="text" name="wptr_video_name" style="width:300px" value="<?php echo $getVideo->name; ?>"/><br/><em>Popup name.</em></td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Autoclose</td>
			<td><input type="checkbox" name="wptr_video_autoclose" value="yes" <?php checked( $getVideo->autoclose, 1 ); ?>/><br/><em>Perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td>Autoclose Countdown</td>
			<td><input type="number" name="wptr_video_countdown_autoclose" style="width:150px" min="0" value="<?php echo $getVideo->countdown_autoclose; ?>"/><br/><em>Countdown (in seconds) to perform autoclose popup.</em></td>
		</tr>
		<tr>
			<td>Delay</td>
			<td><input type="number" name="wptr_video_delay" style="width:150px" min="0" value="<?php echo $getVideo->delay; ?>"/><br/><em>Delay (in seconds) before showing the popup.</em></td>
		</tr>
		<tr>
			<td>Cookie Lifetime</td>
			<td>
				<input type="number" name="wptr_video_cookie_time" style="width:150px" min="0" value="<?php echo $getVideo->cookie_time; ?>"/>
				<select name="wptr_video_cookie_interval">
					<option value="1" <?php selected( $getVideo->cookie_interval, 1 ); ?>>Hours</option>
					<option value="2" <?php selected( $getVideo->cookie_interval, 2 ); ?>>Days</option>
				</select>
				<br/><em>Cookie expired time. Set to 0 (zero) to disable the cookie.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Auto Width and Height</td>
			<td>
				<input type="checkbox" name="wptr_video_autosize_popup" <?php checked( $getVideo->autosize_popup, 1 ); ?>>
				<br/><em>Use dynamic size for popup width and height. Uncheck this if you want to use custom size for the popup.</em>
			</td>
		</tr>
		<tr>
			<td>Custom Popup Width</td>
			<td>
				<input type="text" name="wptr_video_width" style="width:150px" value="<?php echo $getVideo->width; ?>"/>
				<select name="wptr_video_width_option">
					<option value="pixel" <?php selected( $getVideo->width_option, 'pixel' ); ?>>px</option>
					<option value="percentage" <?php selected( $getVideo->width_option, 'percentage' ); ?>>%</option>
				</select><br/><em>Custom popup width.</em>
			</td>
		</tr>
		<tr>
			<td>Custom Popup Height</td>
			<td>
				<input type="text" name="wptr_video_height" style="width:150px" value="<?php echo $getVideo->height; ?>"/>
				<select name="wptr_video_height_option">
					<option value="pixel" <?php selected( $getVideo->height_option, 'pixel' ); ?>>px</option>
					<option value="percentage" <?php selected( $getVideo->height_option, 'percentage' ); ?>>%</option>
				</select><br/><em>Custom popup height.</em>
			</td>
		</tr>
		<tr>
			<td>Background Color</td>
			<td><input type="text" name="wptr_video_bgcolor" style="width:150px" value="<?php echo $getVideo->bgcolor; ?>" class="color {hash:true}"/><br/><em>Popup background color.</em></td>
		</tr>
	</table>
		<!--<tr>
			<td>Border Width</td>
			<td>
				<select name="wptr_video_borderwidth">
					<option value="small" <?php selected( $getVideo->border_width, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $getVideo->border_width, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $getVideo->border_width, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>Border Rounding</td>
			<td>
				<select name="wptr_video_borderrounding">
					<option value="small" <?php selected( $getVideo->border_round, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $getVideo->border_round, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $getVideo->border_round, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>Border Drop Shadow</td>
			<td>
				<select name="wptr_video_borderdropshadow">
					<option value="small" <?php selected( $getVideo->border_shadow, 'small' ); ?>>Small</option>
					<option value="medium" <?php selected( $getVideo->border_shadow, 'medium' ); ?>>Medium</option>
					<option value="large" <?php selected( $getVideo->border_shadow, 'large' ); ?>>Large</option>
				</select>
			</td>
		</tr>-->
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td>Autoplay Video</td>
			<td>
				<input type="checkbox" name="wptr_video_videoautoplay" value="yes" <?php checked( $getVideo->video_autoplay, 1 ); ?>/><br/><em>Check to autoplay the video</em>
			</td>
		</tr>
		<tr>
			<td style="width:250px">Video ID (Only YouTube Video)</td>
			<td><input type="text" name="wptr_video_id" value="<?php echo $getVideo->video_id; ?>" style="width:300px"/><br/><em>example: YouTube URL is http://www.youtube.com/watch?v=wtLJPvx7-ys, then the Video ID is <span style="color:red;font-weight:bold">wtLJPvx7-ys</span>.</em></td>
		</tr>
		<tr>
			<td style="width:250px">Video Size</td>
			<td>
				<select name="wptr_video_size">
					<option value="0" <?php selected( $getVideo->video_size, 0 ); ?>>Custom Size</option>
					<option value="1" <?php selected( $getVideo->video_size, 1 ); ?>>560 x 315 px</option>
					<option value="2" <?php selected( $getVideo->video_size, 2 ); ?>>640 x 360 px</option>
					<option value="3" <?php selected( $getVideo->video_size, 3 ); ?>>853 x 480 px</option>
					<option value="4" <?php selected( $getVideo->video_size, 4 ); ?>>1280 x 720 px</option>
				</select>
				<br/><em>Use our recommended size for the video. Choose Custom Size if you want to define the video size manually.</em>
			</td>
		</tr>
		<tr>
			<td>Video Width</td>
			<td>
				<input type="number" name="wptr_video_videowidth" style="width:150px" min="0" value="<?php echo $getVideo->video_width; ?>"/> px
				<br/><em>Custom video width</em>
			</td>
		</tr>
		<tr>
			<td>Video Height</td>
			<td>
				<input type="number" name="wptr_video_videoheight" style="width:150px" min="0" value="<?php echo $getVideo->video_height; ?>"/> px
				<br/><em>Custom video height</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td>On Pause</td>
			<td>
				<select name="wptr_video_onpause">
					<option value="1" <?php selected( $getVideo->onpause, 1 ); ?>>No action</option>
					<option value="2" <?php selected( $getVideo->onpause, 2 ); ?>>Close popup</option>
					<option value="3" <?php selected( $getVideo->onpause, 3 ); ?>>Redirect to</option>
				</select>
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				<input type="text" name="wptr_video_redirecturl_onpause" value="<?php echo $getVideo->redirect_url_onpause; ?>" />
				<br/><em>Enter the URL to redirect visitor on video pause.</em>
			</td>
		</tr>
		<!--<tr>
			<td>On Stop</td>
			<td>
				<select name="wptr_video_onstop">
					<option value="1" <?php selected( $getVideo->onstop, 1 ); ?>>No action</option>
					<option value="2" <?php selected( $getVideo->onstop, 2 ); ?>>Close popup</option>
					<option value="3" <?php selected( $getVideo->onstop, 3 ); ?>>Redirect to</option>
				</select>
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				<input type="text" name="wptr_video_redirecturl_onstop" value="<?php echo $getVideo->redirect_url_onstop; ?>" />
				<br/><span style="font-size:11px;">URL to redirect.</span>
			</td>
		</tr>-->
		<tr>
			<td>On End</td>
			<td>
				<select name="wptr_video_onend">
					<option value="1" <?php selected( $getVideo->onend, 1 ); ?>>No action</option>
					<option value="2" <?php selected( $getVideo->onend, 2 ); ?>>Close popup</option>
					<option value="3" <?php selected( $getVideo->onend, 3 ); ?>>Redirect to</option>
				</select>
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				<input type="text" name="wptr_video_redirecturl_onend" value="<?php echo $getVideo->redirect_url_onend; ?>" />
				<br/><em>Enter the URL to redirect visitor on video end.</em>
			</td>
		</tr>
		<tr>
			<td style="width:250px">Content Above The Video</td>
			<td>
			<?php wp_editor( stripslashes_deep( $getVideo->content_video_above ), 'wptr-video-contentabove' ); ?>
			<br/><em>WYSIWYG content above the video.</em>
			</td>
		</tr>
		<tr>
			<td style="width:250px">Content Below The Video</td>
			<td>
			<?php wp_editor( stripslashes_deep( $getVideo->content_video_below ), 'wptr-video-contentbelow' ); ?>
			<br/><em>WYSIWYG content below the video.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px;">Display On Posts</td>
			<td>
				<select name="wptr_video_displayonposts[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getVideo->display_on_posts ) ) ) {
						$selected = "selected='selected'";
					} else {
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Posts</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'post',
					'post_status' => 'publish',
					'posts_per_page' => -1
				);
				$posts = get_posts($args);
				if($posts || count($posts)){
					foreach($posts as $post){
						if ( in_array( '{'.$post->ID.'}', explode( ',', $getVideo->display_on_posts ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $post->ID . "' ".$selected.">" . $post->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select posts where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Pages</td>
			<td>
				<select name="wptr_video_displayonpages[]" style="min-width:300px;min-height:250px;" multiple>
					<?php
					if ( in_array( '{ALL}', explode( ',', $getVideo->display_on_pages ) ) ) {
						$selected = "selected='selected'";
					}else{
						$selected = "";
					}
					?>
					<option value="ALL" <?php echo $selected; ?>>All Pages</option>
				<?php
				$args = array(
					'sort_order' => 'ASC',
					'sort_column' => 'post_title',
					'hierarchical' => 1,
					'post_type' => 'page',
					'post_status' => 'publish'
				);
				$pages = get_pages($args);
				if($pages || count($pages)){
					foreach($pages as $page){
						if ( in_array( '{'.$page->ID.'}', explode( ',', $getVideo->display_on_pages ) ) ) {
							$selected = "selected='selected'";
						}else{
							$selected = "";
						}
						echo "<option value='" . $page->ID . "' ".$selected.">" . $page->post_title . "</option>";
					}
				}
				?>
				</select>
				<br/><em>Select pages where the popup will appear.</em>
			</td>
		</tr>
		<tr>
			<td>Display On Categories</td>
			<td>
			<select name="wptr_video_displayoncategories[]" style="min-width:300px;min-height:250px;" multiple>
				<?php
				if ( in_array( '{ALL}', explode( ',', $getVideo->display_on_cats ) ) ) {
					$selected = "selected='selected'";
				} else {
					$selected = "";
				}
				?>
				<option value="ALL" <?php echo $selected; ?>>All Categories</option>
			<?php
			$args = array(
				'orderby' => 'name',
				'hide_empty' => 1,
				'order' => 'ASC'
				);
			$categories = get_categories($args);
			if($categories || count($categories)){
					foreach($categories as $cat){
						if ( in_array( '{'.$cat->cat_ID.'}', explode( ',', $getVideo->display_on_cats ) ) ) {
							$selected = "selected='selected'";
						} else {
							$selected = "";
						}
						echo "<option value='" . $cat->cat_ID . "' ".$selected.">" . $cat->name . "</option>";
					}
				}
			?>
			</select>
			<br/><em>Select categories where the popup will appear.</em>
			</td>
		</tr>
	</table>
	<table style="border:1px groove;width: 100%;padding: 5px;margin-bottom: 5px;">
		<tr>
			<td style="width:250px">Action On Close</td>
			<td>
				<input type="checkbox" name="wptr_video_actiononclose" value="y" <?php checked( $getVideo->onclose, 1); ?>/> Redirect to URL<br/>
				<input type="text" name="wptr_video_redirecttourl" style="width:300px" value="<?php echo $getVideo->redirect_url; ?>"/>
				<br/><em>Redirect to custom url.</em>
			</td>
		</tr>
	</table>
	<input type="hidden" name="wptr_hidden_video" value="<?php echo $popupId; ?>"/>
	<?php
	if ( !empty( $popupId ) ) {
		$andThen = '&popupid=' . $popupId;
	} else {
		$andThen = '';
	}
	?>
	<input type="hidden" name="wptr_hidden_video_referer" value="<?php echo admin_url() . 'admin.php?page=wptrafficmax&node=addvideopopup' . $andThen; ?>">
	<input type="checkbox" name="wptr_video_preview" value="yes"/> Preview after save.<br/><br/>
	<input type="submit" name="submit_video" value="Save Settings" class="button-primary"/>
	</form>
</div>